# smeshDC.Mesh_Quadrangle Class Reference

Class to define a quadrangle 2D algorithm. More...

Inheritance diagram for smeshDC.Mesh_Quadrangle:

## Public Member Functions
def | __init__
| Private constructor.
def | QuadranglePreference
| Define "QuadranglePreference" hypothesis, forcing construction of quadrangles if the number of nodes on opposite edges is not the same in the case where the global number of nodes on edges is even.
def | __init__
def | GetSubMesh
| If the algorithm is global, return 0; else return the submesh associated to this algorithm.
def | GetAlgorithm
| Return the wrapped mesher.
def | GetCompatibleHypothesis
| Get list of hypothesis that can be used with this algorithm.
def | GetName
| Get name of algo.
def | SetName
| Set name to algo.
def | GetId
| Get id of algo.
def | Create
| Private method.
def | Hypothesis
| Private method.
## Data Fields
| smesh
| mesh
| geom
| subm
| algo

## Detailed Description

More details.

## Member Function Documentation

def smeshDC.Mesh_Quadrangle.__init__ | ( |  | self,
|  |  | mesh,
|  |  | geom = `0` |
| ) |  |  |

def smeshDC.Mesh_Quadrangle.QuadranglePreference | ( |  | self | ) |

def smeshDC.Mesh_Algorithm.__init__ | ( |  | self,
|  |  | smesh |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.GetSubMesh | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetAlgorithm | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetCompatibleHypothesis | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.GetName | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.SetName | ( |  | self,
|  |  | name |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.GetId | ( |  | self | ) | `[inherited]`

def smeshDC.Mesh_Algorithm.Create | ( |  | self,
|  |  | mesh,
|  |  | geom,
|  |  | hypo,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  | `[inherited]`

def smeshDC.Mesh_Algorithm.Hypothesis | ( |  | self,
|  |  | hyp,
|  |  | args = `[]`,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  | `[inherited]`

## Field Documentation

smeshDC.Mesh_Algorithm.smesh`[inherited]`

smeshDC.Mesh_Algorithm.mesh`[inherited]`

smeshDC.Mesh_Algorithm.geom`[inherited]`

Reimplemented in smeshDC.Mesh_Segment.

smeshDC.Mesh_Algorithm.subm`[inherited]`

smeshDC.Mesh_Algorithm.algo`[inherited]`